{ config, lib, pkgs, self, ... }:

let
  cfg = config.samfelag.modules.system.sshfs;
in
{
  options.samfelag.modules.system.sshfs = {
    enable = lib.mkEnableOption "sshfs";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      sshfs
    ];
  };
}
